# build_fb: Build frame buffer backend 
#	0 = no
#	1 = yes
%define build_fb	0

# enable_gtkdoc: Toggle if gtk-doc files should be rebuilt.
#      0 = no
#      1 = yes
%define enable_gtkdoc 1

%{?_without_gtkdoc: %{expand: %%define enable_gtkdoc 0}}
%{?_without_fb: %{expand: %%define build_fb 0}}

%{?_with_gtkdoc: %{expand: %%define enable_gtkdoc 1}}
%{?_with_fb: %{expand: %%define build_fb 1}}


# required version of various libraries
%define req_glib_version		2.8.0
%define req_pango_version		1.10.0
%define req_atk_version			1.2.0
%define req_cairo_version		0.9.2

%define pkgname			gtk+
%define api_version		2.0
%define binary_version	2.4
%define lib_major		0
%define libname			%mklibname %{pkgname} %{api_version} %{lib_major}
%define libname_x11		%mklibname %{pkgname}-x11- %{api_version} %{lib_major}
%define libname_linuxfb %mklibname %{pkgname}-linuxfb- %{api_version} %{lib_major}
%define libname_pixbuf  %mklibname gdk_pixbuf %{api_version} %{lib_major}

Summary:	The GIMP ToolKit (GTK+), a library for creating GUIs
Name:		%{pkgname}%{api_version}
Version:	2.8.3
Release:	%mkrel 4
License:	LGPL
Group:		System/Libraries
Source0:	ftp://ftp.gtk.org/pub/gtk/v2.8/%{pkgname}-%{version}.tar.bz2
# extra IM modules (vietnamese and tamil) -- pablo
Patch4:		gtk+-2.6.0-extra_im.patch.bz2 
# (fc) 2.0.6-8mdk fix infinite loop and crash in file selector when / and $HOME are not readable (bug #90)
Patch5:		gtk+-2.6.9-fileselectorfallback.patch.bz2
# (fc) 2.2.2-6mdk Mark assembly files as noexec-stack (Rawhide)
Patch10:	gtk+-2.6.0-noexecstack.patch.bz2
# (fc) 2.4.0-2mdk use Galaxy theme by default if available
Patch12:	gtk+-2.8.0-defaulttheme.patch.bz2
# (gb) 2.4.4-2mdk handle biarch
Patch13:	gtk+-2.2.4-lib64.patch.bz2
# (cjw) 2.8.0-2mdk fix abicheck scripts for ppc
Patch15:	gtk+-2.8.0-abicheck-fix.patch.bz2
# (fc) 2.8.3-3mdk fix crash in gtk fileselector (CVS)
Patch16:	gtk+-2.8.3-fixcrash.patch.bz2
# (fc) 2.8.3-4mdk various fixes (CVS)
Patch17:	gtk+-2.8.3-cvsfixes.patch.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

URL:		http://www.gtk.org
Requires:	common-licenses
BuildRequires:	Xft-devel
BuildRequires:	gettext-devel
BuildRequires:  libglib2.0-devel >= %{req_glib_version}
BuildRequires:	libatk1.0-devel >= %{req_atk_version}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libtiff-devel
BuildRequires:  cairo-devel >= %{req_cairo_version}
BuildRequires:	pango-devel >= %{req_pango_version}
BuildRequires:  automake1.7

%if %enable_gtkdoc
BuildRequires: gtk-doc >= 0.9 
BuildRequires: sgml-tools
BuildRequires: texinfo
%endif
Requires: %{libname} = %{version}
Provides:	%{pkgname}2 = %{version}-%{release}
Obsoletes:	%{pkgname}2

%description
The gtk+ package contains the GIMP ToolKit (GTK+), a library for creating
graphical user interfaces for the X Window System.  GTK+ was originally
written for the GIMP (GNU Image Manipulation Program) image processing
program, but is now used by several other programs as well.  

If you are planning on using the GIMP or another program that uses GTK+,
you'll need to have the gtk+ package installed.

%package -n %{libname}
Summary: %{summary}
Group:	 %{group}
Obsoletes:	lib%{pkgname}2
Provides:	lib%{pkgname}2 = %{version}-%{release}
Provides:	lib%{name} = %{version}-%{release}
Provides:   gtk2 = %{version}-%{release}
Requires:   libglib2.0 >= %{req_glib_version}
Requires:   libpango1.0 >= %{req_pango_version}
Requires:   libatk1.0 >= %{req_atk_version}
Conflicts:  libgnomeui2_0 <= 2.0.5
Conflicts:  gtk-engines2 <= 2.2.0-7mdk
Requires(post):		%{libname_x11} = %{version}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with gtk+.

%package -n %{libname}-devel
Summary:	Development files for GTK+ (GIMP ToolKit) applications
Group:		Development/GNOME and GTK+
Obsoletes:  %{libname_x11}-devel
Provides:   %{libname_x11}-devel = %{version}-%{release}
Provides:   gtk2-devel = %{version}-%{release}
Obsoletes:	%{pkgname}2-devel
Obsoletes:  lib%{pkgname}2-devel
Provides:	%{pkgname}2-devel = %{version}-%{release}
Provides:	lib%{pkgname}2-devel = %{version}-%{release}
Provides:	lib%{pkgname}%{api_version}-devel = %{version}-%{release}
Provides:	%{libname}-devel = %{version}-%{release}
Provides:	lib%{pkgname}-x11-%{api_version}-devel = %{version}-%{release}
Requires:	%{libname} = %{version}
Requires:	%{libname_x11} = %{version}
Requires:	%{libname_pixbuf}-devel = %{version}
Requires:	XFree86-devel
Requires:	libatk1.0-devel >= %{req_atk_version}
Requires:	libpango1.0-devel >= %{req_pango_version}


%description -n %{libname}-devel
The libgtk+-devel package contains the static libraries and header files
needed for developing GTK+ (GIMP ToolKit) applications. The libgtk+-devel
package contains GDK (the General Drawing Kit, which simplifies the interface
for writing GTK+ widgets and using GTK+ widgets in applications), and GTK+
(the widget set).


%package -n %{libname_pixbuf}
Summary:	Image loading and manipulation library for GTK+
Group:		System/Libraries
Provides:	libgdk_pixbuf%{api_version} = %{version}-%{release}
Requires(post):		libtiff >= 3.6.1

%description -n %{libname_pixbuf}
This package contains libraries used by GTK+ to load and handle
various image formats.

%package -n %{libname_pixbuf}-devel
Summary:	Development files for image handling library for GTK+
Group:		Development/GNOME and GTK+
Provides:	libgdk_pixbuf%{api_version}-devel = %{version}-%{release}
Requires:	%{libname_pixbuf} = %{version}
Requires:	libglib2.0-devel >= %{req_glib_version}

%description -n %{libname_pixbuf}-devel
This package contains the development files needed to compile programs
that uses GTK+ image loading/manipulation library.

%package -n %{libname_x11}
Summary:	X11 backend of The GIMP ToolKit (GTK+)
Group:		System/Libraries
Provides:	lib%{pkgname}-x11-%{api_version} = %{version}-%{release}
Provides:	%{name}-backend = %{version}-%{release}
Requires(post):		%{libname_pixbuf} = %{version}
Requires:	%{name} >= %{version}-%{release}
Conflicts:  libgtk+2-devel < 2.0.0

%description -n %{libname_x11}
This package contains the X11 version of library needed to run
programs dynamically linked with gtk+.

%package -n %{libname_linuxfb}
Summary:	Frame-Buffer backend of The GIMP ToolKit (GTK+)
Group:		System/Libraries
Obsoletes:	lib%{pkgname}2-linuxfb
Provides:	lib%{pkgname}2-linuxfb = %{version}-%{release}
Provides:	%{libname}-linuxfb-%{api_version} = %{version}-%{release}
Provides:	%{name}-backend = %{version}-%{release}
Requires(post):		%{libname_pixbuf} = %{version}
Requires(post):		%{libname} = %{version}
Requires:	%{name} >= %{version}-%{release}

%description -n %{libname_linuxfb}
This package contains the Frame Buffer version of library needed to run
programs dynamically linked with gtk+.

%package -n %{libname_linuxfb}-devel
Summary:	Development files for frame-buffer backend of GTK+
Group:		Development/GNOME and GTK+
Obsoletes:	lib%{pkgname}2-linuxfb-devel
Provides:	lib%{pkgname}2-linuxfb-devel = %{version}-%{release}
Provides:	lib%{pkgname}-linuxfb-%{api_version}-devel = %{version}-%{release}
Requires:   %{libname}-devel = %{version}
Requires:	%{libname_linuxfb} = %{version}
Requires:	%{libname_pixbuf}-devel = %{version}
Requires:	libatk1.0-devel >= %{req_atk_version}
Requires:	libpango1.0-devel >= %{req_pango_version}

%description -n %{libname_linuxfb}-devel
This package contains the development files needed to compile programs
with gtk+ Frame Buffer.

%prep
%setup -n %{pkgname}-%{version} -q
%patch4 -p1 -b .extra_im
%patch5 -p1 -b .fileselectorfallback
%patch10 -p1 -b .noexecstack
%patch12 -p1 -b .defaulttheme
%patch13 -p1 -b .lib64
%patch15 -p1 -b .ppc
%patch16 -p1 -b .fixcrash
%patch17 -p1 -b .cvsfixes

#needed by patch4
aclocal-1.7
automake-1.7

#needed by patches 13 
autoheader
autoconf

%build
# Build X11 backend
[ -d X11-build ] || mkdir X11-build
cd X11-build

CONFIGURE_TOP=.. %configure2_5x \
	--with-xinput=xfree \
%if !%enable_gtkdoc
	--enable-gtk-doc=no
%endif

%make
make check

cd ..
# Then build frame buffer counterpart
%if %build_fb
[ -d fb-build ] || mkdir fb-build
cd fb-build
CONFIGURE_TOP=.. %configure2_5x \
	--with-gdktarget=linux-fb \
	--enable-gtk-doc=no

%make
cd ..
%endif


%install
rm -rf $RPM_BUILD_ROOT

# Avoid conflict with different ChangeLogs
cp ./contrib/gdk-pixbuf-xlib/ChangeLog ./contrib/gdk-pixbuf-xlib/ChangeLog-gdk-pixbuf-xlib
cp ./gdk-pixbuf/ChangeLog ./gdk-pixbuf/ChangeLog-gdk-pixbuf

%if %build_fb
cd fb-build
%makeinstall_std RUN_QUERY_IMMODULES_TEST=false RUN_QUERY_LOADER_TEST=false
cd ..
%endif

cd X11-build
%makeinstall_std mandir=%{_mandir} RUN_QUERY_IMMODULES_TEST=false RUN_QUERY_LOADER_TEST=false

cd ..

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/gtk-%{api_version}
touch $RPM_BUILD_ROOT%{_sysconfdir}/gtk-%{api_version}/gtk.immodules.%{_lib}
touch $RPM_BUILD_ROOT%{_sysconfdir}/gtk-%{api_version}/gdk-pixbuf.loaders.%{_lib}
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/modules

# handle biarch packages
progs="gtk-query-immodules-%{api_version} gdk-pixbuf-query-loaders"
mkdir -p $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/bin
for f in $progs; do
  mv -f $RPM_BUILD_ROOT%{_bindir}/$f $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/bin/
  cat > $RPM_BUILD_ROOT%{_bindir}/$f << EOF
#!/bin/sh
lib=%{_lib}
case ":\$1:" in
:lib*:) lib="\$1"; shift 1;;
esac
exec %{_prefix}/\$lib/gtk-%{api_version}/bin/$f \${1+"\$@"}
EOF
  chmod +x $RPM_BUILD_ROOT%{_bindir}/$f
done

%{find_lang} gtk20
%find_lang gtk20-properties
cat gtk20-properties.lang >> gtk20.lang

#remove not packaged files
rm -f $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/*.la \
  $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/%{binary_version}.*/loaders/*.la \
  $RPM_BUILD_ROOT%{_libdir}/gtk-%{api_version}/%{binary_version}.*/engines/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname_pixbuf}
/sbin/ldconfig

if [ "$1" = "2" ]; then
  if [ -f %{_sysconfdir}/gtk-%{api_version}/gdk-pixbuf.loaders ]; then
    rm -f %{_sysconfdir}/gtk-%{api_version}/gdk-pixbuf.loaders
  fi
fi

%{_libdir}/gtk-%{api_version}/bin/gdk-pixbuf-query-loaders >  %{_sysconfdir}/gtk-%{api_version}/gdk-pixbuf.loaders.%{_lib}

%postun -n %{libname_pixbuf} -p /sbin/ldconfig

%post -n %{libname_x11}
/sbin/ldconfig
if [ "$1" = "2" ]; then
  if [ -f %{_sysconfdir}/gtk-%{api_version}/gtk.immodules ]; then
    rm -f %{_sysconfdir}/gtk-%{api_version}/gtk.immodules
  fi
fi

%{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version} > %{_sysconfdir}/gtk-%{api_version}/gtk.immodules.%{_lib}

%postun -n %{libname_x11} -p /sbin/ldconfig

%post -n %{libname_linuxfb} -p /sbin/ldconfig
%postun -n %{libname_linuxfb} -p /sbin/ldconfig

%post 
for i in `/bin/ls %{_datadir}/icons` ; do 
 [ -d "%{_datadir}/icons/$i" -a -e "%{_datadir}/icons/$i/icon-theme.cache" ] && gtk-update-icon-cache --force --quiet %{_datadir}/icons/$i
done
exit 0

%files -f gtk20.lang
%defattr(-, root, root)
%doc INSTALL README
%{_bindir}/gtk-query-immodules-%{api_version}
%{_bindir}/gdk-pixbuf-query-loaders
%{_bindir}/gtk-update-icon-cache
%{_datadir}/themes
%dir %{_sysconfdir}/gtk-%{api_version}

%files -n %{libname}
%defattr(-, root, root)
%doc INSTALL README
%dir %{_libdir}/gtk-%{api_version}
%dir %{_libdir}/gtk-%{api_version}/bin
%dir %{_libdir}/gtk-%{api_version}/modules
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}.*
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/immodules/*.so
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}.*/engines
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/engines/*.so

%files -n %{libname}-devel
%defattr(-, root, root)
%doc docs/*.txt AUTHORS ChangeLog NEWS* README*
%doc %{_datadir}/gtk-doc/html/gdk
%doc %{_datadir}/gtk-doc/html/gtk
%{_bindir}/gtk-demo
%{_datadir}/aclocal/*
%{_datadir}/gtk-%{api_version}
%{_includedir}/gtk-%{api_version}/gdk
%{_includedir}/gtk-%{api_version}/gtk
%{_libdir}/gtk-%{api_version}/include
%{_libdir}/pkgconfig/gdk-%{api_version}.pc
%{_libdir}/pkgconfig/gtk+-%{api_version}.pc
%{_libdir}/*x11*.so
%{_libdir}/*x11*.la
%{_libdir}/pkgconfig/*x11*


%files -n %{libname_pixbuf}
%defattr(-, root, root)
%{_libdir}/libgdk_pixbuf*.so.*
%dir %{_libdir}/gtk-%{api_version}/%{binary_version}.*/loaders
%{_libdir}/gtk-%{api_version}/%{binary_version}.*/loaders/*.so
%{_libdir}/gtk-%{api_version}/bin/gdk-pixbuf-query-loaders
%ghost %verify (not md5 mtime size) %config(noreplace) %{_sysconfdir}/gtk-%{api_version}/gdk-pixbuf.loaders.%{_lib}

%files -n %{libname_pixbuf}-devel
%defattr(-, root, root)
%doc contrib/gdk-pixbuf-xlib/ChangeLog-* gdk-pixbuf/ChangeLog-*
%doc %{_datadir}/gtk-doc/html/gdk-pixbuf
%{_bindir}/gdk-pixbuf-csource
%dir %{_includedir}/gtk-%{api_version}
%{_includedir}/gtk-%{api_version}/gdk-pixbuf*
%{_libdir}/libgdk_pixbuf*.so
%{_libdir}/libgdk_pixbuf*.la
%{_libdir}/pkgconfig/gdk-pixbuf*.pc
%{_mandir}/man1/*


%files -n %{libname_x11}
%defattr(-, root, root)
%{_libdir}/*x11*.so.*
%{_libdir}/gtk-%{api_version}/bin/gtk-query-immodules-%{api_version}
%ghost %verify (not md5 mtime size) %config(noreplace) %{_sysconfdir}/gtk-%{api_version}/gtk.immodules.%{_lib}

%if %build_fb
%files -n %{libname_linuxfb}
%defattr(-, root, root)
%{_libdir}/*linux-fb*.so.*

%files -n %{libname_linuxfb}-devel
%defattr(-, root, root)
%{_libdir}/*linux-fb*.so
%{_libdir}/*linux-fb*.la
%{_libdir}/pkgconfig/*linux-fb*
%endif


%changelog
* Sun Sep 11 2005 Isenmann Daniel <rpm@mandrivauser.de> 2.8.3-4mud
- rebuild for Mandriva 10.1
- added %%mkrel

* Mon Sep 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.3-4mdk 
- Patch17 (CVS): various fixes

* Fri Sep 02 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.3-3mdk 
- Patch16 (CVS): fix crash in gtk fileselector

* Wed Aug 31 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.3-2mdk
- re-add patch15: still required

* Tue Aug 30 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.3-1mdk 
- Release 2.8.3
- Remove patch14 (merged upstream)

* Thu Aug 25 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.2-2mdk 
- Patch14 : fix crash in gdk screen

* Wed Aug 24 2005 Gtz Waschk <waschk@mandriva.org> 2.8.2-1mdk
- drop merged patch 14
- New release 2.8.2

* Wed Aug 24 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.1-2mdk 
- Patch14 (CVS): fix default dpi and crash in theme thumbnaiL

* Wed Aug 24 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.1-1mdk 
- New release 2.8.1
- Remove patches 14 and 15 (merged upstream)

* Thu Aug 18 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.8.0-2mdk
- Patch15: fix abi check scripts for ppc

* Tue Aug 16 2005 Frederic Crozat <fcrozat@mandriva.com> 2.8.0-1mdk 
- Release 2.8.0
- Regenerate patch12
- Remove patch14 (merged upstream)
- Patch14 (CVS): various bugfixes from CVS
- Update icon cache at post

* Thu Aug 11 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.9-3mdk 
- Patch14 (CVS): fix treeview refresh

* Fri Aug 05 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.9-2mdk 
- No longer disable gcse in gcc

* Tue Aug  2 2005 Gtz Waschk <waschk@mandriva.org> 2.6.9-1mdk
- update patch 5
- rpmbuildupdate fix
- New release 2.6.9

* Thu Jun 16 2005 Gtz Waschk <waschk@mandriva.org> 2.6.8-1mdk
- replace prereq by current syntax
- drop merged patches 14,15
- new version

* Fri Apr 29 2005 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.6.7-3mdk
- patch 15: fix RTL bug with TreeViews (#12846)

* Fri Apr 29 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.7-2mdk 
- Patch14: remove debug output in bmp loader

* Mon Apr 18 2005 Frederic Crozat <fcrozat@mandriva.com> 2.6.7-1mdk
- Release 2.6.7
- Remove patches 14 & 15 (merged upstream)

* Thu Apr 07 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.4-2mdk 
- Patch14 (CVS): fix BMP vulnerability (CAN-2005-0891)
- Patch15 (CVS): fix various crashes

* Wed Mar  2 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.6.4-1mdk
- new version

* Mon Feb 28 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.3-1mdk 
- Release 2.6.3

* Fri Feb  4 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.6.2-1mdk
- drop patches 14,15
- new version

* Fri Feb 04 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-4mdk 
- Update patch14 to fix all cases (pixel)

* Fri Jan 21 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-3mdk 
- Patch15 (CVS): various fixes from CVS, including one for Mdk bug #12898

* Mon Jan 17 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.1-2mdk 
- Patch14 (CVS): fix default direction when keymap is neutral

* Sun Jan  9 2005 Gtz Waschk <waschk@linux-mandrake.com> 2.6.1-1mdk
- drop merged patch 14
- new version

* Mon Dec 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-3mdk 
- Patch14 (CVS): fix filechooser hang with threaded apps

* Fri Dec 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-2mdk 
- Fix conflicts

* Fri Dec 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.6.0-1mdk
- Release 2.6.0
- Regenerate patches 4, 10
- Remove patches 15, 16, 17, 18 (merged upstream)

* Fri Dec 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.14-1mdk
- Release 2.4.14
- Regenerate patch17
- Remove patches 19, 20 (merged upstream)

* Wed Nov 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.13-2mdk
- Update patch15 with crash fix from fedora
- Patch20 (CVS): speed enhancement in GtkUIManager and signal handling

* Mon Oct 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.13-1mdk
- Release 2.4.13
- Remove patches 14, 17, 18, 19, 20 (merged upstream)
- Regenerate patch16 (partially merged), fix '/' shortcut with french keyboard
- Patch17 (Fedora): XSync based update counter
- Patch18 (Fedora): backport support for PangoLogAttr.backspace_deletes_character
- Patch19 (Fedora): fix pa translation

* Mon Oct 04 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-9mdk
- Update patch14 with more cvs fixes

* Fri Oct 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-8mdk
- Patch17 (Fedora + me): improve completion popup speed for large directories
- Patch18 (Fedora): bigger arrows for path bar
- Patch19 (Fedora): improve folder selection in file chooser
- Patch20: always set cell renderer data (Mdk bug #11610)

* Thu Sep 23 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-7mdk
- Run automake for patch4

* Mon Sep 20 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-6mdk
- add prereq on latest libtiff release because ABI got broken (Mdk bug #11607)
- update patch14 with more cvs fixes (GNOME bugs 143486, #143868, 
  #151031, #151608, #151994)
- Patch15 (Fedora): add typeahead for treeview
- Patch16 (Fedora): get location popup search when start typing  with / 

* Fri Sep 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-5mdk
- Update patch14 with security fixes for ico, bmp and xpm loading, as
  well as check for valid utf8 in UTF-8 string selection 

* Tue Sep 14 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-4mdk
- Update patch14 with fix for GNOME bug #152333

* Wed Sep 08 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-3mdk
- Update patch14 with fixes for GNOME bugs #151963, #151985 & #151752

* Wed Sep 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-2mdk
- Patch14 (CVS): various bug fixes from CVS (#151542, 151490, 131226)

* Thu Aug 26 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.9-1mdk
- Release 2.4.9
- Remove patch14 (merged upstream)

* Wed Aug 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.7-2mdk
- Patch14: fix regression in pixops scaling
- disable gcc gcse, it causes wrong painting of south arrow

* Mon Aug 16 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.7-1mdk
- disable fb build again
- drop merged patch 11
- new version

* Wed Jul 28 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.4.4-5mdk
- fix wrapper script to handle extra dir as first parameter

* Wed Jul 21 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 2.4.4-4mdk
- remove rpath hack so it builds without gdk-pixbuf-devel installed

* Mon Jul 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.4-3mdk
- Move gtk-query-immodules and gdk-pixbuf-query script to lib package
 (to be biarch friendly) (gb)

* Mon Jul 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.4-2mdk
- biarch support (gb)
- Change dependency order

* Sat Jul 10 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.4-1mdk
- fix freetype build
- reenable fb build
- New release 2.4.4

* Fri Jun 11 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.3-1mdk
- Release 2.4.3

* Sun Jun  6 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.2-1mdk
- disable fb (didn't build)
- reenable libtoolize
- New release 2.4.2

* Thu May 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.1-2mdk
- Update patch12 to use gnome icon theme when available (Mdk bug #9688)

* Fri Apr 30 2004 Gtz Waschk <waschk@linux-mandrake.com> 2.4.1-1mdk
- new version

* Fri Apr 30 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-2mdk
- Patch12 : use Galaxy theme by default if available

* Fri Apr 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.4.0-1mdk
- Release 2.4.0 (from Gotz)
- binary version 2.4
- requires new glib and new pango
- Remove patches patches 6, 8, 12, 14, 15, 16 17 (merged), 
  11, 16 (no longer neeed) 
- buildrequire automake1.7
- Patch11 : fix linuxfb build 

* Fri Feb 27 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-9mdk
- Update patch 17 based on gtk+ hackers review

* Thu Feb 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-8mdk
- Update patch 16 with another round of bug fixes from CVS

* Wed Feb 18 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-7mdk
- Update patch16 with new bug fixes

* Tue Feb 17 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-6mdk
- Patch17 : fix GtkCombo/GtkMenu when embedded

* Fri Feb 13 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-5mdk
- Update patch16 with more bug fixes 

* Mon Feb 02 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-4mdk
- Patch16 (CVS): many bug fixes from gtk-2-2 branch
- Remove patches 8 & 13 (merged in patch16)

* Thu Jan 15 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-3mdk
- Patch13 (Fedora): Fix 64-bit problem in gtkimcontextxim.c
- Patch14 (Fedora): Link gdk-pixbuf-xlib against gdk-pixbuf
- Patch15 (CVS): fix build with latest freetype2
- Fix type in xlib Changelog (Anthill #276)
- remove rpath (Fedora)

* Mon Sep 15 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-2mdk
- Patch12 (owen): fix notification area taking 100% CPU (GNOME bug #122327)

* Fri Sep 05 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.4-1mdk
- Release 2.2.4
- Remove patch12 (merged upstream)

* Wed Sep 03 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3-3mdk
- Patch12 (CVS): do not only select in treeview with button1 (GNOME
  bug 120187)

* Fri Aug 29 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3-2mdk
- Fix distriblint warning and make gotz happy (bug #4998)

* Wed Aug 27 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.3-1mdk
- Release 2.2.3
- Remove patches 9 & 12 (merged upstream)

* Fri Aug 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.2-6mdk
- Patch10 (rawhide): Mark assembly files as noexec-stack 
- Patch11 (rawhide): XFlush() rather than XSync() at the end of
  process_all_updates() (GNOME bug #109180)
- Patch11 (CVS): Don't assume that all events start with XEventAny
  (GNOME bug #105745) (CVS)

* Mon Jul 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.2-5mdk
- Patch9 (CVS): fix gnome-theme-manager thumbnail (bug #4130)

* Wed Jul 23 2003 Pablo Saratxaga <pablo@mandrakesoft.com> 2.2.2-4mdk
- enable use of Xft by default now

* Thu Jul 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.2-3mdk
- Fix description
- Add provides for RH compat
- add missing prereq (Charles A Edwards)

* Thu Jul 10 2003 Thierry Vignaud <tvignaud@mandrakesoft.com> 2.2.2-2mdk
- rebuild

* Tue Jun 10 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.2-1mdk
- Release 2.2.2
- remove patches 7 & 9 (merged upstream)

* Mon May 12 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-6mdk
- Rebuild to get new devel provides/requires

* Tue Apr 22 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-5mdk
- Fix -devel package provides

* Thu Apr 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-4mdk
- Merged back x11-devel package into main devel package

* Thu Apr 17 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-3mdk
- Patch9 (rawhide): fix scrolling lockup (Mdk bug #3761)
- mklibnamification

* Fri Feb 28 2003 Frederic Crozat <fcrozat@mandrakesoft.com> - 2.2.1-2mdk
- Update login script to allow XFT use for ja and he locale 
  (XFT can now load their fonts)
- Patch7 (CVS): fix always set adjustement in textview (fix crash in rpmdrake)
- Patch8 : don't try to use locale based setting for KP_Decimal (fix mdk bug 1333)

* Mon Feb  3 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.1-1mdk
- Release 2.2.1
- Regenerate patch6

* Mon Jan 13 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-3mdk
- Update patch6 to support hinting

* Tue Jan  7 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-2mdk
- Rebuild against latest Xft2 (from XF 4.2.99) and pango

* Thu Jan  2 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 2.2.0-1mdk
- Release 2.2.0
- Remove patch7 (merged upstream)

* Fri Dec 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-2mdk
- Patch7 (CVS): fix filter on X11 event - this fix plug/socket for MCC 
 (bug #101512)

* Tue Dec 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.5-1mdk
- Release 2.1.5
- Remove patch6 (merged upstream)
- Patch6 (rawhide): hook up Xft to XSETTINGS

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-2mdk
- Patch6: disable debug text in textview

* Thu Dec 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.4-1mdk
- Release 2.1.4

* Wed Dec  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-2mdk
- Bump glib requirement

* Wed Dec  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.3-1mdk
- Release 2.1.3
- Remove patches 10 & 11 (merged upstream)

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.1.2-1mdk
- Release 2.1.2
- from announce : 
   WARNING : GTK+-2.1.x exposes a bug in libgnomeui where libgnomeui
   was creating a widget of type GtkWidget instead of a derived
   class; to fix this, upgrade to libgnomeui-2.1.0.
- Remove patches 3 & 6, 7, 8, 9(merged upstream)
- Regenerate patch4 for gtk+ 2.1.x and no longer patch Makefile.in files
- Patch10 (CVS): fix gdk-pixbuf.loaders generation
- Patch11 (CVS): fix linux-fb compilation

* Mon Nov 18 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.8-3mdk
- Patch9 (CVS): correctly refcount colormap (fix metacity bug #94806)

* Wed Nov 13 2002 Stefan van der Eijk <stefan@eijk.nu> 2.0.8-2mdk
- BuildRequires

* Tue Nov 12 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.8-1mdk
- Release 2.0.8
- Remove patch9 (merged upstream)

* Wed Nov  6 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.7-3mdk
- Add explicit dependency on pango >= 1.1.3 (Michal Bukovjan)
- Patch9 (CVS): fix LZWP_SP typo

* Tue Nov  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.7-2mdk
- Recompiled with pango 1.1.3 (Xft support)

* Tue Nov  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.7-1mdk
- Release 2.0.7
- Remove patches 0, 1, 2 (merged upstream)

* Wed Sep 11 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-8mdk
- Patch5:  fix infinite loop and crash in file selector when / and 
  $HOME are not readable (bug #90)

* Fri Aug 30 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-7mdk
- Remove the G_BROKEN_FILENAMES thing, it is handled in glib2 package

* Wed Aug 28 2002 Pablo Saratxaga <pablo@mandrakesoft.com> 2.0.6-6mdk
- added some extra IM (vi-telex, vi-vni, tml-tscii, tml-uni)
- re-enabled GDK_USE_XFT for all latin and cyrillic languages
  (a default font will be provided)
- define G_BROKEN_FILENAMES=1 by default (this tells to use locale
  encoding for file names, instead of using utf-8)

* Mon Aug 26 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-5mdk
- Fix source2 again (bug #136)
- Patch3 (rawhide): Fix extra settings notifies on startup 
  that were causing significant performance problems as fonts were reloaded.

* Wed Aug 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-4mdk
- Conflicts with libgtk+2-devel < 2.0.0 to ease upgrade from Mdk 8.2

* Wed Aug 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-3mdk
- Patch0 (rawhide): Fix bug with GTK_IM_MODULE environment variable
- Patch1 (rawhide): Fixes to GtkIMContextSimple compose table for us-intl keyboards
- Patch2 (rawhide): Fix problem with keycodes passed to GtkIMContextXIM

* Thu Aug  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-2mdk
- Update sources 1 & 2 to disable AA for known locales where we 
  lacks scalable fonts (pablo)

* Mon Aug  5 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.6-1mdk
- Release 2.0.6
- Remove patch0 (merged upstream)

* Wed Jul 10 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-4mdk
- Fix dependencies in -devel packages : x11-devel package is now providing
  gtk2-devel package. 

* Tue Jun 25 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-3mdk
- Lower some optimizations, gcc 3.1.1 has some problems with -O3

* Thu Jun 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-2mdk
- Patch0 (Rawhide): use GTK2_RC_FILES instead of GTK_RC_FILES, since KDE
  points GTK_RC_FILES to gtk-1.2 ~/.gtkrc
- Enable GDK_USE_XFT for all applications

* Mon Jun 17 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.5-1mdk
- Release 2.0.5
- Remove patch1 (merged upstream)
- Enable fb build

* Mon Jun  3 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.3-1mdk
- Release 2.0.3

* Wed May 29 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 2.0.2-2mdk
- Automated rebuild with gcc 3.1-1mdk

* Thu Apr  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.2-1mdk
- Release 2.0.2 (GUADEC Powered)
- Remove patch 0 (merged upstream)

* Thu Mar 21 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 2.0.0-1mdk
- Release 2.0.0 (package highlu based on 
- Disabled linux-fb target temporarily, causing HUGE memory leak 
  (anyway, x11 and linux-fb target can't coexist for now.)

* Wed Feb 20 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.13-2mdk
- Fix provides for linuxfb-devel package

* Mon Feb  4 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.13-1mdk
- Release 1.3.13

* Tue Jan 22 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.12-4mdk
- Garzikfy build : remove ugly hack for building of linux-fb part

* Sat Jan 19 2002 Stefan van der Eijk <stefan@eijk.nu> 1.3.12-3mdk
- BuildRequires

* Tue Jan  8 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.12-2mdk
- Add prereq in main package
- Fix duplicate of linux-fb devel libraries in -devel (thanks to J.A. Magallon)

* Mon Jan  7 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.12-1mdk
- Release 1.3.12
- Remove patch0 (merged upstream)

* Fri Dec 21 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.11-2mdk
- Patch 0: update linux-fb to pango 0.22 API
- Create linux-fb sub-package
- Clean specfile with help of Abel Cheung <maddog@linuxhall.org> :
 - Add "enable_gtkdoc" variable to toggle building gtk-doc stuff
 - Remove all references of install-info, info files are no more
 - Remove references of {gtk+-gtkbeta}{,-devel}
 - BuildRequires: libtool >= 1.4.2 to solve bootstrap problem
 - Changed summary and description of lib package
 - Remove unused static modules from file list
 - Set config file as ghost file
 - Split one more package to please rpmlint

* Tue Dec 11 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.11-1mdk
- Release 1.3.11

* Mon Nov 12 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.3.10-1mdk
- Release 1.3.10
- Clean specfile

* Wed Oct 17 2001 DindinX <odin@mandrakesoft.com> 1.3.9-1mdk
- 1.3.9

* Tue Oct  9 2001 DindinX <odin@mandrakesoft.com> 1.3.6-5mdk
- some cleanups
- make rpmlint happier.

* Thu Sep 13 2001 Stefan van der Eijk <stefan@eijk.nu> 1.3.6-4mdk
- BuildRequires:	pkgconfig XFree86-devel

* Mon Aug 06 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.6-3mdk
- circumvented the libtool problems

* Tue Jul 31 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.6-2mdk
- rebuild with forcing use of new libtools

* Fri Jul 07 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.6-1mdk
- updated to 1.3.6

* Wed May 16 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.5-4mdk
- added indic input methods

* Tue May 15 2001 Pablo Saratxaga <pablo@mandrakesoft.com> 1.3.5-3mdk
- first version for mdk
- improved with inclusion of docs, copied from the pango site rpm package
- properly include translation files, keyboard input methods, and etc config

* Tue May 15 2001 DindinX <odin@mandrakesoft.com> 1.3.5-2mdk
- corrected package source name.

* Mon May 14 2001 DindinX <odin@mandrakesoft.com> 1.3.5-1mdk
- first mandrake release of gtk+-2.0pre

